Bug 51941 - Add Highlighted/IsHighlighted property to Button of XF
Summary: Add Highlighted/IsHighlighted property to Button of XF
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-01-30 02:20 UTC by Manabu Nakazawa
Modified: 2017-07-19 10:23 UTC (History)
2 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Manabu Nakazawa 2017-01-30 02:20:01 UTC
I think we don't still have any property to know a button is pressed or not yet.
So I want to know the status and want to observe it with EventHandler or TriggerAction.
Comment 1 Manabu Nakazawa 2017-02-05 13:29:42 UTC
Probably the following PR fixed this issue.
https://github.com/xamarin/Xamarin.Forms/pull/446

I'll Close this. Thanks.
Comment 2 Neha Kharbade 2017-07-19 10:23:45 UTC
Verified this bug on latest xamarin.forms version - 2.3.5.256-pre6

According to PR changes in #comment1, are reflected in both visual studio for mac & windows.Please check attached screen cast.

Screencast (Mac)- https://www.screencast.com/t/xmLYJwGW9yh
Screencast(win)- https://www.screencast.com/t/SWMuGDxXO

gist link- https://gist.github.com/nehaKh/8661fb4f5691b0f2de886f478b20e5ee

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.